org.eclipse.oomph.resources.impl

## Class SourceLocatorImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.resources.impl.SourceLocatorImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SourceLocator

      public class SourceLocatorImpl
      extends ModelElementImpl
      implements SourceLocator

  An implementation of the model object 'Source Locator'.

  The following features are implemented:

  - `Root Folder`
  - `Excluded Paths`
  - `Project Factories`
  - `Predicates`
  - `Locate Nested Projects`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EList<String>` | `excludedPaths` The cached value of the '`Excluded Paths`' attribute list.
    `protected static boolean` | `LOCATE_NESTED_PROJECTS_EDEFAULT` The default value of the '`Locate Nested Projects`' attribute.
    `protected boolean` | `locateNestedProjects` The cached value of the '`Locate Nested Projects`' attribute.
    `protected EList<Predicate>` | `predicates` The cached value of the '`Predicates`' containment reference list.
    `protected EList<ProjectFactory>` | `projectFactories` The cached value of the '`Project Factories`' containment reference list.
    `protected static String` | `ROOT_FOLDER_EDEFAULT` The default value of the '`Root Folder`' attribute.
    `protected String` | `rootFolder` The cached value of the '`Root Folder`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SourceLocatorImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addStatus(MultiStatus status, OomphPlugin plugin, String file, Object object)`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `Object` | `eInvoke(int operationID, EList<?> arguments)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<String>` | `getExcludedPaths()`
    `EList<Predicate>` | `getPredicates()`
    `EList<ProjectFactory>` | `getProjectFactories()`
    `static BackendContainer` | `getRootContainer(SourceLocator sourceLocator)`
    `String` | `getRootFolder()`
    `void` | `handleProjects(EList<ProjectFactory> defaultProjectFactories, ProjectHandler projectHandler, MultiStatus status, IProgressMonitor monitor)`
    `static void` | `handleProjects(SourceLocator sourceLocator, EList<ProjectFactory> defaultProjectFactories, ProjectHandler projectHandler, MultiStatus status, IProgressMonitor monitor)`
    `boolean` | `isLocateNestedProjects()`
    `IProject` | `loadProject(EList<ProjectFactory> defaultProjectFactories, BackendContainer backendContainer, IProgressMonitor monitor)`
    `static IProject` | `loadProject(SourceLocator sourceLocator, EList<ProjectFactory> defaultProjectFactories, BackendContainer rootContainer, BackendContainer backendContainer, IProgressMonitor monitor)`
    `boolean` | `matches(IProject project)`
    `void` | `setLocateNestedProjects(boolean newLocateNestedProjects)`
    `void` | `setRootFolder(String newRootFolder)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### ROOT_FOLDER_EDEFAULT

          protected static final String ROOT_FOLDER_EDEFAULT

      The default value of the '`Root Folder`' attribute.
      See Also:
        `getRootFolder()`
      Generated
      Ordered

    - #### rootFolder

          protected String rootFolder

      The cached value of the '`Root Folder`' attribute.
      See Also:
        `getRootFolder()`
      Generated
      Ordered

    - #### excludedPaths

          protected EList<String> excludedPaths

      The cached value of the '`Excluded Paths`' attribute list.
      See Also:
        `getExcludedPaths()`
      Generated
      Ordered

    - #### projectFactories

          protected EList<ProjectFactory> projectFactories

      The cached value of the '`Project Factories`' containment reference list.
      See Also:
        `getProjectFactories()`
      Generated
      Ordered

    - #### predicates

          protected EList<Predicate> predicates

      The cached value of the '`Predicates`' containment reference list.
      See Also:
        `getPredicates()`
      Generated
      Ordered

    - #### LOCATE_NESTED_PROJECTS_EDEFAULT

          protected static final boolean LOCATE_NESTED_PROJECTS_EDEFAULT

      The default value of the '`Locate Nested Projects`' attribute.
      See Also:
        `isLocateNestedProjects()`, Constant Field Values
      Generated
      Ordered

    - #### locateNestedProjects

          protected boolean locateNestedProjects

      The cached value of the '`Locate Nested Projects`' attribute.
      See Also:
        `isLocateNestedProjects()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### SourceLocatorImpl

          protected SourceLocatorImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getRootFolder

          public String getRootFolder()

      Specified by:
        `getRootFolder` in interface `SourceLocator`
      Returns:
        the value of the 'Root Folder' attribute.
      See Also:
        `SourceLocator.setRootFolder(String)`, `ResourcesPackage.getSourceLocator_RootFolder()`
      Generated

    - #### setRootFolder

          public void setRootFolder(String newRootFolder)

      Specified by:
        `setRootFolder` in interface `SourceLocator`
      Parameters:
        `newRootFolder` - the new value of the 'Root Folder' attribute.
      See Also:
        `SourceLocator.getRootFolder()`
      Generated

    - #### getExcludedPaths

          public EList<String> getExcludedPaths()

      Specified by:
        `getExcludedPaths` in interface `SourceLocator`
      Returns:
        the value of the 'Excluded Paths' attribute list.
      See Also:
        `ResourcesPackage.getSourceLocator_ExcludedPaths()`
      Generated

    - #### getProjectFactories

          public EList<ProjectFactory> getProjectFactories()

      Specified by:
        `getProjectFactories` in interface `SourceLocator`
      Returns:
        the value of the 'Project Factories' containment reference list.
      See Also:
        `ResourcesPackage.getSourceLocator_ProjectFactories()`
      Generated

    - #### isLocateNestedProjects

          public boolean isLocateNestedProjects()

      Specified by:
        `isLocateNestedProjects` in interface `SourceLocator`
      Returns:
        the value of the 'Locate Nested Projects' attribute.
      See Also:
        `SourceLocator.setLocateNestedProjects(boolean)`, `ResourcesPackage.getSourceLocator_LocateNestedProjects()`
      Generated

    - #### setLocateNestedProjects

          public void setLocateNestedProjects(boolean newLocateNestedProjects)

      Specified by:
        `setLocateNestedProjects` in interface `SourceLocator`
      Parameters:
        `newLocateNestedProjects` - the new value of the 'Locate Nested Projects' attribute.
      See Also:
        `SourceLocator.isLocateNestedProjects()`
      Generated

    - #### getPredicates

          public EList<Predicate> getPredicates()

      Specified by:
        `getPredicates` in interface `SourceLocator`
      Returns:
        the value of the 'Predicates' containment reference list.
      See Also:
        `ResourcesPackage.getSourceLocator_Predicates()`
      Generated

    - #### matches

          public boolean matches(IProject project)

      Specified by:
        `matches` in interface `SourceLocator`
      Generated
        NOT

    - #### loadProject

          public IProject loadProject(EList<ProjectFactory> defaultProjectFactories,
                             BackendContainer backendContainer,
                             IProgressMonitor monitor)

      Specified by:
        `loadProject` in interface `SourceLocator`
      Generated
        NOT

    - #### handleProjects

          public void handleProjects(EList<ProjectFactory> defaultProjectFactories,
                            ProjectHandler projectHandler,
                            MultiStatus status,
                            IProgressMonitor monitor)

      Specified by:
        `handleProjects` in interface `SourceLocator`
      Generated
        NOT

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### eInvoke

          public Object eInvoke(int operationID,
                       EList<?> arguments)
                         throws InvocationTargetException

      Specified by:
        `eInvoke` in interface `InternalEObject`
      Overrides:
        `eInvoke` in class `ModelElementImpl`
      Throws:
        `InvocationTargetException`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

    - #### addStatus

          public static void addStatus(MultiStatus status,
                       OomphPlugin plugin,
                       String file,
                       Object object)

    - #### getRootContainer

          public static BackendContainer getRootContainer(SourceLocator sourceLocator)

    - #### loadProject

          public static IProject loadProject(SourceLocator sourceLocator,
                             EList<ProjectFactory> defaultProjectFactories,
                             BackendContainer rootContainer,
                             BackendContainer backendContainer,
                             IProgressMonitor monitor)

    - #### handleProjects

          public static void handleProjects(SourceLocator sourceLocator,
                            EList<ProjectFactory> defaultProjectFactories,
                            ProjectHandler projectHandler,
                            MultiStatus status,
                            IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html